## networkmanager-qt 5.9.0

=== debian/changelog ===
networkmanager-qt (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 23:12:49 +0200

networkmanager-qt (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:44:54 +0100

networkmanager-qt (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:37:04 +0100

networkmanager-qt (5.6.0-0ubuntu2) vivid; urgency=medium

  * Rebuild with network-manager 0.9.10.0 for new symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 Jan 2015 13:32:56 +0100

networkmanager-qt (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Upstream renamed to networkmanager-qt and new version number
    to release as part of Frameworks (instead of Plasma)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 05 Jan 2015 12:19:39 +0100

libnm-qt (5.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:49:54 +0100

libnm-qt (5.1.0.1-0ubuntu1) UNRELEASED; urgency=medium

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Scarlett Clark ]
  * Update copyright file to use GPL-KDEeV and LGPL-KDEeV to resolve
    lintian space error.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Oct 2014 16:10:40 +0200

libnm-qt (5.0.93-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Remove no-human-maintainers lintian-override per ScottK. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 18 Sep 2014 07:22:50 -0700

libnm-qt (5.0.92-0ubuntu1) UNRELEASED; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Harald Sitter ]
  * switch to new pkg-kde-tools

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 17:06:20 +0200

libnm-qt (5.0.91-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Update watch to http://download.kde.org

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Jul 2014 21:25:03 +0200

libnm-qt (5.0.90-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Upstream set on new version number

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 14:39:50 +0200

libnm-qt (0.9.9~git20140614-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Initial release.
  * Grab newest git from upstream.
  * Add -dev depend 
  * Rename to match soname and re-version

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 13 Jun 2014 10:24:08 +0100
