=== debian/control ===
Source: networkmanager-qt
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.8.0),
               libnm-glib-dev,
               libnm-util-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://projects.kde.org/projects/kde/frameworks/libnm-qt
XS-Testsuite: autopkgtest
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/libnm-qt.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/libnm-qt.git

Package: libkf5networkmanagerqt-dev
Section: libdevel
Architecture: any
Depends: libkf5networkmanagerqt6 (= ${binary:Version}),
         libnm-glib-dev,
         libnm-util-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt wrapper for NetworkManager - devel files.
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the development files

Package: libkf5networkmanagerqt6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5networkmanagerqt5 (<< 5.1.1+git20141204)
Replaces: libkf5networkmanagerqt5 (<< 5.1.1+git20141204)
Description: Qt wrapper for NetworkManager - library
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.

Package: libkf5networkmanagerqt6-dbg
Section: debug
Architecture: any
Recommends: qtbase5-dbg
Depends: libkf5networkmanagerqt6 (= ${binary:Version}), ${misc:Depends}
Description: Qt wrapper for NetworkManager - debug files.
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the debugging symbols.
