## networkmanager-qt 5.15.0

=== debian/changelog ===
networkmanager-qt (5.15.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * Build-dep and depend from libkf5networkmanagerqt-dev on alternate
    libnm-glib-dev for vivid builds for mobile kci

  [ Scarlett Clark ]
  * Vivid backport.
  * Remove symbols file for backport only. 

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:59:31 +0100

networkmanager-qt (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:29:07 +0100

networkmanager-qt (5.13.0-0ubuntu6) wily; urgency=medium

  * Merge debian master branch to make sure acc logs are artifacted with a
    name that makes clear the logs are from acc
  * Reintroduce libnm-dev as dependency of the -dev package. This should fix
    the ACC test as all needed headers are present again.

 -- Harald Sitter <sitter@kde.org>  Thu, 03 Sep 2015 12:58:52 +0200

networkmanager-qt (5.13.0-0ubuntu5) wily; urgency=medium

  * Merge debian master branch to pick up a change to the autopkgtest that
    puts logs in the artifacts directory for archiving.

 -- Harald Sitter <sitter@kde.org>  Thu, 03 Sep 2015 12:43:40 +0200

networkmanager-qt (5.13.0-0ubuntu4) wily; urgency=medium

  * Merge with debian to remove libnm-glib-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 Sep 2015 14:32:00 +0100

networkmanager-qt (5.13.0-0ubuntu3) wily; urgency=medium

  * No change rebuild to pick up new libnm on arm64

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 Sep 2015 10:37:30 +0100

networkmanager-qt (5.13.0-0ubuntu2) wily; urgency=medium

  * No change rebuild to pick up new libnm include directory

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 27 Aug 2015 17:24:37 +0100

networkmanager-qt (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:35:49 +0200

networkmanager-qt (5.12.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ José Manuel Santamaría Lema ]
  * Update symbols file: mark as optional the symbols gone after
    building with GCC 5

  [ Scarlett Clark ]
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 16:11:57 +0200

networkmanager-qt (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 13 Aug 2015 13:51:26 +0200

networkmanager-qt (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).
  * Update symbols files for gcc5 compatibility. (Closes: #791733)
    Thanks to Martin Michlmayr

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:46 +0200

networkmanager-qt (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * Update symbols files.
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Jun 2015 17:30:42 +0200

networkmanager-qt (5.10.0-0ubuntu2) wily; urgency=medium

  * Merge in symbols change

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 00:48:46 +0200

networkmanager-qt (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).
  * Update symbols files.

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:59:03 +0200

networkmanager-qt (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:26:05 +0200

networkmanager-qt (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 14 Mar 2015 22:27:04 +0100

networkmanager-qt (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 04 Mar 2015 17:45:38 +0100

networkmanager-qt (5.6.0-1) experimental; urgency=medium

  * New upstream release (5.6.0)
  * Importing packaging from kubuntu efforts.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update install files.
  * Update build dependencies to follow cmake.
  * Update copyright information.
  * Add missing -dev dependency.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 24 Jan 2015 19:05:01 +0100
