=== debian/control ===
Source: networkmanager-qt
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               libnm-dev (>= 0.9.10.0) | libnm-glib-dev,
               libnm-util-dev (>= 0.9.10.0),
               network-manager-dev (>= 0.9.8.4),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/networkmanager-qt
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/networkmanager-qt.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/networkmanager-qt.git

Package: libkf5networkmanagerqt-dev
Section: libdevel
Architecture: any
Depends: libkf5networkmanagerqt6 (= ${binary:Version}),
         libnm-dev (>= 0.9.10.0) | libnm-glib-dev,
         qtbase5-dev (>= 5.4),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt wrapper for NetworkManager - devel files.
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the development files

Package: libkf5networkmanagerqt6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5networkmanagerqt5 (<< 5.1.1+git20141204)
Replaces: libkf5networkmanagerqt5 (<< 5.1.1+git20141204)
Description: Qt wrapper for NetworkManager - library
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.

Package: libkf5networkmanagerqt6-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libkf5networkmanagerqt6 (= ${binary:Version}), ${misc:Depends}
Recommends: qtbase5-dbg
Description: Qt wrapper for NetworkManager - debug files.
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the debugging symbols.
