=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/networkmanager-qt-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/networkmanager-qt-([\d.]+)\.tar\.xz
