## networkmanager-qt 5.26.0

=== debian/changelog ===
networkmanager-qt (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:51:35 +0100

networkmanager-qt (5.24.0-0ubuntu1) yakkety; urgency=medium

  [ Philip Muškovac ]
  * New upstream release (5.24.0)

  [ Clive Johnston ]
  * Refreshing symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:47:57 +0000

networkmanager-qt (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)
  * Removing upstream patch

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:19:21 +0200

networkmanager-qt (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Refresh symbols. 
  * Debian merge: no remaining changes. 
  * Refresh symbols, removed sever MISSING CI inserts. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad
  * Remove upstream_Initialize_gateway_ping_timeout.patch, applied upstream

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:42:27 -0700

networkmanager-qt (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:21 +0100

networkmanager-qt (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:12 +0100

networkmanager-qt (5.18.0-0ubuntu4) yakkety; urgency=medium

  * Add kubuntu_enable_wimax_with_nm_12.diff which reverts upstream
    1611028164fed9f2ec5915e042b0b6e18a8a0892 to stay ABI compatible
  * Refresh the symbols again to bring the missing wimax symbols back

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 13 May 2016 09:12:44 +0000

networkmanager-qt (5.18.0-0ubuntu3) yakkety; urgency=medium

  * Update symbols for new symbol visibility in yakkety. 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 10 May 2016 20:24:18 +0000

networkmanager-qt (5.18.0-0ubuntu2) yakkety; urgency=medium

  * Add upstream patch to Initialize gateway ping timeout (LP: #1569674) 
    - upstream_Initialize_gateway_ping_timeout.patch

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 09 May 2016 23:20:58 +0100
