=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               libnm-dev (>= 0.9.10.0) | libnm-glib-dev,
+               extra-cmake-modules (>= 5.26.0~),
+               libnm-dev (>= 0.9.10.0),
                libnm-util-dev (>= 0.9.10.0),
                network-manager-dev (>= 0.9.8.4),
                pkg-config,
@@ -14,8 +14,8 @@
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/networkmanager-qt
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/networkmanager-qt.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/networkmanager-qt.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/networkmanager-qt
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/networkmanager-qt
 
 Package: libkf5networkmanagerqt-dev
 Section: libdevel
@@ -41,16 +41,3 @@
  Qt wrapper for NetworkManager DBus API.
  .
  This package is part of the KDE Plasma.
-
-Package: libkf5networkmanagerqt6-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libkf5networkmanagerqt6 (= ${binary:Version}), ${misc:Depends}
-Recommends: qtbase5-dbg
-Description: Qt wrapper for NetworkManager - debug files.
- Qt wrapper for NetworkManager DBus API.
- .
- This package is part of the KDE Plasma.
- .
- This package contains the debugging symbols.
