## networkmanager-qt 5.28.0

=== debian/changelog ===
networkmanager-qt (5.28.0-2) unstable; urgency=medium

  * Pick "Don't force logging with setFilterRules" (87273f5)
    Add upstream patch as: Don-t-force-logging-with-setFilterRules.patch
  * Pick "Initialise a member variable" (626e704)
    Add upstream patch as: Initialise-a-member-variable.patch
  * Pick "CMake: Use SYSTEM for nm-glib/nm-util includes" (ad5587c)
    Add upstream patch as:
     CMake-Use-SYSTEM-for-nm-glib-nm-util-includes.patch
  * Pick "Manager: Fix emitting deviceAdded twice when NM restarts" (a183e1f)
    Add upstream patch as:
     Manager-Fix-emitting-deviceAdded-twice-when-NM-restarts.patch

 -- Maximiliano Curia <maxy@debian.org>  Sat, 08 Apr 2017 10:46:12 +0200

networkmanager-qt (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:03:00 +0100

networkmanager-qt (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 16:57:44 +0200

networkmanager-qt (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Replace dbus-launch with dbus-run-session in tests

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 11:57:27 +0200

networkmanager-qt (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 18 Aug 2016 17:19:37 +0200

networkmanager-qt (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 08:24:59 +0200

networkmanager-qt (5.22.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 09:58:24 +0200

networkmanager-qt (5.22.0-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files from buildds logs (5.21.0-1).

  [ Maximiliano Curia ]
  * Wimax symbols change breaks plasma-nm.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 09:57:45 +0200

networkmanager-qt (5.21.0-1) experimental; urgency=medium

  [ Automatic packaging ]
  * New upstream release (5.21.0). (Closes: #822429)
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * uscan no longer supports more than one main upstream tarball being listed
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 May 2016 15:13:05 +0200
