## networkmanager-qt 5.31.0

=== debian/changelog ===
networkmanager-qt (5.31.0-0ubuntu1) zesty; urgency=medium

  * Use the build-needed restriction instead of rebuilding the package
    in the autopkgtests.
  * New upstream release (5.31.0)
  * Add kubuntu_disable_failing_test.diff

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:50:26 +0000

networkmanager-qt (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:34:05 +0000

networkmanager-qt (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * Merge with debian, this drops the libnm-glib-dev which was there for vivid
    builds.
  * Pass '-fno-keep-inline-functions' to gcc for the acc tests in order
    to make them pass.
  * New upstream release (5.28.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:16:05 +0000
